<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="text" indent="no" />
	<xsl:strip-space elements="*" />
	<xsl:template match="FeedbackAutoDefs">
		<![CDATA[<?php ]]>
		<xsl:text>$_captions=array();</xsl:text>
		<xsl:apply-templates select="FeedbackFields/Field" mode="defs"/>
		<xsl:text>$_subject='</xsl:text><xsl:value-of select="FeedbackOptions/Option[@name='EmailSubj' and @type='value']" /><xsl:text>';</xsl:text>
		<xsl:text>$_address='</xsl:text><xsl:value-of select="FeedbackOptions/Option[@name='EmailAddr' and @type='value']" /><xsl:text>';</xsl:text>
		<xsl:text>$_formName='</xsl:text><xsl:value-of select="FeedbackOptions/Option[@name='NameOfForm' and @type='value']" /><xsl:text>';</xsl:text>
		<xsl:text>$_responseText='</xsl:text><xsl:value-of select="FeedbackOptions/Option[@name='ResponseText' and @type='value']" /><xsl:text>';</xsl:text>
		<xsl:text>$_banText='</xsl:text><xsl:value-of select="FeedbackLocalize/FFCDefVal_BanText"/><xsl:text>';</xsl:text>
		<xsl:text>$_noEmailText='</xsl:text><xsl:value-of select="FeedbackLocalize/FFCDefVal_NoEmailText"/><xsl:text>';</xsl:text>
		<![CDATA[ ?>]]>
	</xsl:template>
	<xsl:template match="Field" mode="defs">
		<xsl:if test="@include='true'">
			<xsl:text>$_captions['</xsl:text>
			<xsl:value-of select="@id"/>
			<xsl:text>']='</xsl:text>
			<xsl:value-of select="@caption"/>
			<xsl:text>';</xsl:text>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>